summaryrefslogtreecommitdiff
path: root/front.sh
diff options
context:
space:
mode:
authoreudoxia <uplink@distress.network>2020-12-31 06:46:32 -0500
committereudoxia <uplink@distress.network>2020-12-31 06:46:32 -0500
commitde5c1d059ec54449eef9a4cf7fffe4f04074445a (patch)
treeb83a7c8a7ac4525e7e85b48ba9c59341696cadd1 /front.sh
parent491032b297a6c9fdcc336152ff0b198ea2031d9f (diff)
added front page generation (front.sh)
Diffstat (limited to 'front.sh')
-rwxr-xr-xfront.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/front.sh b/front.sh
new file mode 100755
index 0000000..86d5a45
--- /dev/null
+++ b/front.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+# usage: ./front.sh <output html>
+
+cat front-header > $1
+
+cat distress.network/nav.html | sed -e '/^<!--title:/d' -e '/^<a/d' >> $1
+
+cat md-footer | sed -e '/<\/main>/,/<nav>/d' -e '/<\/div>/p' >> $1
+
+printf "%s \tbuild complete: %s\n" "[->]" "$1"